> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unyte.africa/llms.txt
> Use this file to discover all available pages before exploring further.

# View details about a specific insurance provider

> Returns a detailed object containing information about the specified insurance provider.



## OpenAPI

````yaml get /api/v1/insurers/{name}/
openapi: 3.0.3
info:
  title: Superpool API
  version: 2.0.0
  description: >-
    Insurance infrastructure for Financial Institutions, Insurers, and
    Insurtechs
  contact:
    name: Unyte Africa LTD.
    url: https://ng.unyte.africa
    email: tech@unyte.com
servers: []
security: []
paths:
  /api/v1/insurers/{name}/:
    get:
      tags:
        - Insurance Providers
      summary: View details about a specific insurance provider
      description: >-
        Returns a detailed object containing information about the specified
        insurance provider.
      operationId: get-insurance-provider
      parameters:
        - in: path
          name: name
          schema:
            type: string
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Provider'
          description: Details of the insurance provider
        '404':
          description: The specified insurance provider does not exist
        '500':
          description: An error occurred while fetching the insurance provider
      security:
        - ClientKeyAuth: []
components:
  schemas:
    Provider:
      type: object
      properties:
        provider_id:
          type: string
          format: uuid
        provider_name:
          type: string
        support_email:
          type: string
          format: email
          readOnly: true
          nullable: true
          title: Business email
          description: >-
            Email address is used to track their support team during
            integrations
        support_phone:
          type: string
          readOnly: true
          nullable: true
          description: Phone number of the insurance provider's support team
        products_offered:
          type: array
          items:
            $ref: '#/components/schemas/CoreProduct'
      required:
        - products_offered
        - provider_id
        - provider_name
        - support_email
        - support_phone
    CoreProduct:
      type: object
      properties:
        product_id:
          type: string
          format: uuid
        product_name:
          type: string
        product_description:
          type: string
      required:
        - product_description
        - product_id
        - product_name
  securitySchemes:
    ClientKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````